QT += core gui widgets
TARGET = tp1
TEMPLATE = app
DEFINES += QT_DEPRECATED_WARNINGS
CONFIG += DEBUG
INCLUDEPATH += $$PWD/libs/OpenMesh/inc/
DEFINES += OM_STATIC_BUILD

unix:!macx {
    LIBS += -L$$PWD/libs/OpenMesh/liblinux/ -lOpenMeshCore
}
macx {
    LIBS += -L$$PWD/libs/OpenMesh/libosx/ -lOpenMeshCore
}
win32 {
    LIBS += $$PWD/libs/OpenMesh/libwin/OpenMeshCore.lib
}

HEADERS += src/analysis.h
HEADERS += src/my_mesh.h

SOURCES += src/main.cpp
SOURCES += src/analysis.cpp
